org.python.core

## Class BytecodeLoader

- java.lang.Object
- - org.python.core.BytecodeLoader

    public class BytecodeLoader
    extends Object

Utility class for loading compiled python modules and java classes defined in python modules.

### Nested Class Summary

Nested Classes
`static class` `BytecodeLoader.Loader`

### Constructor Summary

Constructors
Constructor and Description
`BytecodeLoader()`

### Method Summary

Methods
`static Class<?>` `makeClass(String name, byte[] data, Class<?>... referents)` Turn the java byte code in data into a java class.
`static Class<?>` `makeClass(String name, List<Class<?>> referents, byte[] data)` Turn the java byte code in data into a java class.
`static PyCode` `makeCode(String name, byte[] data, String filename)` Turn the java byte code for a compiled python module into a java class.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BytecodeLoader

    public BytecodeLoader()

### Method Detail

#### makeClass

    public static Class<?> makeClass(String name,
                     byte[] data,
                     Class<?>... referents)

Turn the java byte code in data into a java class.

Parameters:
  `name` - the name of the class
  `data` - the java byte code.
  `referents` - superclasses and interfaces that the new class will reference.

#### makeClass

    public static Class<?> makeClass(String name,
                     List<Class<?>> referents,
                     byte[] data)

Turn the java byte code in data into a java class.

Parameters:
  `name` - the name of the class
  `referents` - superclasses and interfaces that the new class will reference.
  `data` - the java byte code.

#### makeCode

    public static PyCode makeCode(String name,
                  byte[] data,
                  String filename)

Turn the java byte code for a compiled python module into a java class.

Parameters:
  `name` - the name of the class
  `data` - the java byte code.